Bug Hunting Session
Bug 103087 - Border widget must not focus the first option
Summary: Border widget must not focus the first option
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2016-10-10 12:10 UTC by Heiko Tietze
Modified: 2016-11-11 18:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Border widget running Windows with Breeze (4.46 KB, image/png)
2016-10-10 12:11 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2016-10-10 12:10:33 UTC
The floating border widget paints a frame around the first item. That's wrong because this frame indicates a selection, which means when a grid border has been selected, for instance, this option needs to be focused. But the widget rather contains commands that needs no frame around the button. 

So please remove the focus.
Comment 1 Heiko Tietze 2016-10-10 12:11:37 UTC
Created attachment 127919 [details]
Border widget running Windows with Breeze
Comment 2 Yousuf Philips (jay) (retired) 2016-10-10 12:15:03 UTC
So this seems to be broken in 5.2 and master.
Comment 3 raal 2016-10-19 03:25:50 UTC
note: unable to bibisect with win-5.2, dozens of skipped commits.
Comment 4 Maxim Monastirsky 2016-10-19 08:05:15 UTC
Note that the focus should not be removed completely - as then it will be impossible to use that widget with the keyboard. We only want to not show the focus initially - like it was before 5.2, esp. if the dropdown opened with the mouse.

bisect range is 00cf864e5d317016d7224c199aa982d07bd70113...c1b90fa342e09ab30068f6294fc866c63d7ae4c4

This one looks related:

commit dd46727b99d4bb5135451aa7e5e1bdb197373843
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Tue Apr 5 15:27:38 2016 +0100

    Resolves; tdf#87120 no keyboard navigation inside floating windows
    
    lets try and treat these the same as we do normal toplevels
    like dialogs if they popup with GrabFocus.
    
    This way focus can be set on widgets inside the floating windows, and
    so keyboard traversal of widgets etc all works.
    
    Change-Id: If447429756cf5d136b9c2e2f62fafb37c167b1ce

Adding Cc: to Caolán McNamara
Comment 5 Commit Notification 2016-10-30 14:58:07 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=66b75b4ba9f0a1c8003fa52c7a29575e374644a2

tdf#103087 Border widget must not have focus initially

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Yousuf Philips (jay) (retired) 2016-11-07 20:32:28 UTC
Verified. Maxim can you backport this to 5.2. :D

Version: 5.3.0.0.alpha1+
Build ID: 11cab8aba359c655a75791ddbc0f2ffeae8ce206
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; VCL: gtk2; Layout Engine: new; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-11-06_23:07:09
Locale: en-US (en_US.UTF-8); Calc: group
Comment 7 Commit Notification 2016-11-11 15:28:36 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92e983f3eb22737eca04fc32ec61e1d9159cc10c&h=libreoffice-5-2

tdf#103087 Border widget must not have focus initially

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.